Bug 5714 - ROSA Bug Report Tool: incorrect link to bugzilla
: ROSA Bug Report Tool: incorrect link to bugzilla
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-03 17:11 MSD by Andrey Ponomarenko
Modified: 2016-03-14 15:29 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
Bugzilla error (35.46 KB, image/png)
2015-06-03 17:15 MSD, Andrey Ponomarenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-06-03 17:11:57 MSD
Description of problem:

ROSA Bug Report Tool tried to open a bugzilla link that returned error:

"Either no products have been defined to enter bugs against or you have not been given access to any."

Version-Release number of selected component (if applicable): R5 KDE

How reproducible: always


Crash message:
--------------
 
The "mdkapplet" program has segfaulted with the following error:

  SEGV
  Glibc's trace:
  4: /usr/lib64/libperl.so.5.18(Perl_sighandler+0x210) [0x7f5998e15ef0]
  5: /lib64/libc.so.6(+0x34b80) [0x7f59989dcb80]
  6: /lib64/libc.so.6(+0x88933) [0x7f5998a30933]
  7: /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/URPM/URPM.so(+0x16527) [0x7f598c3a2527]
  8: /usr/lib64/libperl.so.5.18(Perl_pp_entersub+0x59d) [0x7f5998e2e0bd]
  9: /usr/lib64/libperl.so.5.18(Perl_runops_standard+0x16) [0x7f5998e26696]
  10: /usr/lib64/libperl.so.5.18(Perl_call_sv+0x415) [0x7f5998db7a45]
  11: /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/Glib/Glib.so(+0x23bca) [0x7f599494abca]
  12: /lib64/libgobject-2.0.so.0(g_closure_invoke+0x145) [0x7f59946e62b5]
  13: /lib64/libgobject-2.0.so.0(+0x2b392) [0x7f5994701392]
  14: /lib64/libglib-2.0.so.0(+0x49863) [0x7f5994416863]
  15: /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x13d) [0x7f5994415e0d]
  16: /lib64/libglib-2.0.so.0(+0x491a8) [0x7f59944161a8]
  17: /lib64/libglib-2.0.so.0(g_main_loop_run+0xc2) [0x7f59944164c2]
  18: /usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7) [0x7f5990081b07]
  19: /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/Gtk2/Gtk2.so(+0xac709) [0x7f599063e709]
  
  Perl's trace:
  standalone::bug_handler() called from /usr/lib/libDrakX/standalone.pm:225
  standalone::__ANON__() called from /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/URPM/Resolve.pm:2047
  (eval)() called from /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/URPM/Resolve.pm:2047
  URPM::compute_flags() called from /usr/lib/perl5/vendor_perl/5.18.2/urpm/media.pm:849
  urpm::media::compute_flags_for_instlist() called from /usr/lib/perl5/vendor_perl/5.18.2/urpm/media.pm:749
  urpm::media::configure() called from /usr/bin/mdkapplet:532
  main::silentCheck() called from /usr/bin/mdkapplet:611
  main::checkUpdates() called from /usr/bin/mdkapplet:579
  main::__ANON__() called from /usr/bin/mdkapplet:248
  (eval)() called from /usr/bin/mdkapplet:248

Used theme: elementary

To submit a bug report, click on the report button.  
This will open a web browser window on Bugzilla where you'll find a form to fill in.  The information displayed above will be transferred to that server
It would be very useful to attach to your report the output of the following command: 'lspcidrake -v'.


Link:
-----

http://bugs.rosalinux.ru/enter_bug.cgi?version=2014.1&component=Core%20Packages&classification=Mandriva%20Linux&rep_platform=x86_64&short_desc=mdkapplet%20segfaulted&comment=The%20%22mdkapplet%22%20program%20crashed.%20Drakbug-14.44%20caught%20it.%0A%0ANothing%0A%0ASEGV%0AGlibc%27s%20trace%3A%0A4%3A%20%2Fusr%2Flib64%2Flibperl.so.5.18%28Perl_sighandler%2B0x210%29%20[0x7f5998e15ef0]%0A5%3A%20%2Flib64%2Flibc.so.6%28%2B0x34b80%29%20[0x7f59989dcb80]%0A6%3A%20%2Flib64%2Flibc.so.6%28%2B0x88933%29%20[0x7f5998a30933]%0A7%3A%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Fx86_64-linux-thread-multi%2Fauto%2FURPM%2FURPM.so%28%2B0x16527%29%20[0x7f598c3a2527]%0A8%3A%20%2Fusr%2Flib64%2Flibperl.so.5.18%28Perl_pp_entersub%2B0x59d%29%20[0x7f5998e2e0bd]%0A9%3A%20%2Fusr%2Flib64%2Flibperl.so.5.18%28Perl_runops_standard%2B0x16%29%20[0x7f5998e26696]%0A10%3A%20%2Fusr%2Flib64%2Flibperl.so.5.18%28Perl_call_sv%2B0x415%29%20[0x7f5998db7a45]%0A11%3A%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Fx86_64-linux-thread-multi%2Fauto%2FGlib%2FGlib.so%28%2B0x23bca%29%20[0x7f599494abca]%0A12%3A%20%2Flib64%2Flibgobject-2.0.so.0%28g_closure_invoke%2B0x145%29%20[0x7f59946e62b5]%0A13%3A%20%2Flib64%2Flibgobject-2.0.so.0%28%2B0x2b392%29%20[0x7f5994701392]%0A14%3A%20%2Flib64%2Flibglib-2.0.so.0%28%2B0x49863%29%20[0x7f5994416863]%0A15%3A%20%2Flib64%2Flibglib-2.0.so.0%28g_main_context_dispatch%2B0x13d%29%20[0x7f5994415e0d]%0A16%3A%20%2Flib64%2Flibglib-2.0.so.0%28%2B0x491a8%29%20[0x7f59944161a8]%0A17%3A%20%2Flib64%2Flibglib-2.0.so.0%28g_main_loop_run%2B0xc2%29%20[0x7f59944164c2]%0A18%3A%20%2Fusr%2Flib64%2Flibgtk-x11-2.0.so.0%28gtk_main%2B0xa7%29%20[0x7f5990081b07]%0A19%3A%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Fx86_64-linux-thread-multi%2Fauto%2FGtk2%2FGtk2.so%28%2B0xac709%29%20[0x7f599063e709]%0A%0APerl%27s%20trace%3A%0Astandalone%3A%3Abug_handler%28%29%20called%20from%20%2Fusr%2Flib%2FlibDrakX%2Fstandalone.pm%3A225%0Astandalone%3A%3A__ANON__%28%29%20called%20from%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Fx86_64-linux-thread-multi%2FURPM%2FResolve.pm%3A2047%0A%28eval%29%28%29%20called%20from%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Fx86_64-linux-thread-multi%2FURPM%2FResolve.pm%3A2047%0AURPM%3A%3Acompute_flags%28%29%20called%20from%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Furpm%2Fmedia.pm%3A849%0Aurpm%3A%3Amedia%3A%3Acompute_flags_for_instlist%28%29%20called%20from%20%2Fusr%2Flib%2Fperl5%2Fvendor_perl%2F5.18.2%2Furpm%2Fmedia.pm%3A749%0Aurpm%3A%3Amedia%3A%3Aconfigure%28%29%20called%20from%20%2Fusr%2Fbin%2Fmdkapplet%3A532%0Amain%3A%3AsilentCheck%28%29%20called%20from%20%2Fusr%2Fbin%2Fmdkapplet%3A611%0Amain%3A%3AcheckUpdates%28%29%20called%20from%20%2Fusr%2Fbin%2Fmdkapplet%3A579%0Amain%3A%3A__ANON__%28%29%20called%20from%20%2Fusr%2Fbin%2Fmdkapplet%3A248%0A%28eval%29%28%29%20called%20from%20%2Fusr%2Fbin%2Fmdkapplet%3A248%0A%0ATheme%20name%3A%20elementary%0AKernel%20version%20%3D%203.14.39-nrj-desktop-4rosa-x86_64%0ADistribution%3DROSA%20Desktop%20Fresh%20R5%20release%202014.1%20for%20x86_64%0ACPU%3DIntel%28R%29%20Core%28TM%29%20i7-2600K%20CPU%20%40%203.40GHz
Comment 1 Andrey Ponomarenko 2015-06-03 17:15:47 MSD
Created attachment 4063 [details]
Bugzilla error
Comment 2 Denis Silakov 2016-03-04 17:31:53 MSK
Advisory:
Fix default bugzilla template for filing bugs from inside drak* tools.

Build lists:
https://abf.io/build_lists/2626263
https://abf.io/build_lists/2626264

Note for testers:
You can test this change by launching "drakbug" directly - you should be redirected to a bug creation form for main packages.
Comment 3 Vladimir Potapov 2016-03-10 09:12:39 MSK
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2016-03-14 09:38:35 MSK
drakxtools-14.70-1
https://abf.io/build_lists/2626263
https://abf.io/build_lists/2626264
***************************** Advisory *******************************
Fix default bugzilla template for filing bugs from inside drak* tools.
**********************************************************************
QA Verified